/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.business;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URI;
import java.net.URISyntaxException;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.core.impl.multiparts.IFileUploadPart;
import org.ow2.petals.tools.webconsole.util.GeneralHelper;

/**
 * @author aruffie
 * 
 */
public class AddWSDLBBean {

    public File storeWSDL(final IFileUploadPart file, final HttpServletRequest request)
            throws IOException, URISyntaxException {
        File repo = GeneralHelper.getRepositoryFile(request);
        File repoAttachement = new File(new URI(repo.toURI() + "/wsdl"));
        if (!repoAttachement.exists()) {
            repoAttachement.mkdir();
        }
        final String filePath = repoAttachement.getAbsolutePath() + File.separator
                + file.getFileName();
        OutputStream out = null;
        InputStream in = null;
        final File wsdlFile = new File(filePath);
        try {
            out = new FileOutputStream(wsdlFile);
            in = file.getFileInputStream();
            byte[] data = new byte[4096];

            int readedBytes;

            /*
             * Write bytes into the the wsdl copy while readed data is available
             * (!= -1)
             */
            do {
                readedBytes = in.read(data);
                if (readedBytes != -1) {
                    out.write(data, 0, readedBytes);
                    out.flush();
                }
            } while (readedBytes != -1);

        } finally {
            out.close();
            in.close();
        }
        return wsdlFile;
    }
}
