/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.business;

import java.util.Map;

import javax.management.MBeanAttributeInfo;

import org.ow2.petals.tools.webconsole.services.PetalsServiceException;
import org.ow2.petals.tools.webconsole.services.management.ManagementService;
import org.ow2.petals.tools.webconsole.services.management.ManagementServiceFactory;

/**
 * @author aruffie
 * 
 */
public class ManagementBBean {

    public Map<MBeanAttributeInfo, Object> recoverRuntimeAttributes(final String componentName,
            final String port, final String password, final String host, final String login)
            throws PetalsServiceException {
        final ManagementService service = (ManagementService) ManagementServiceFactory
                .getInstance().getService(host, Integer.parseInt(port), login, password);
        return service.recoverRuntimeAttributes(componentName);
    }

    public void setRuntimeAttributes(final String componentName, final String port,
            final String password, final String host, final String login,
            final Map<MBeanAttributeInfo, Object> attributes) throws PetalsServiceException {
        final ManagementService service = (ManagementService) ManagementServiceFactory
                .getInstance().getService(host, Integer.parseInt(port), login, password);
        service.setRuntimeAttributes(attributes, componentName);
    }

    public void forceUnload(final String componentName, final ManagementService service)
            throws PetalsServiceException {
        service.forceUnloadInstaller(componentName);
    }

    public void forceUnDeploy(final String serviceAssemblyName, final ManagementService service)
            throws PetalsServiceException {
        service.forceUnDeploy(serviceAssemblyName);
    }
}
