/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.business;

import org.ow2.petals.tools.webconsole.services.PetalsServiceException;
import org.ow2.petals.tools.webconsole.services.management.ManagementService;
import org.ow2.petals.tools.webconsole.services.management.ManagementServiceFactory;
import org.ow2.petals.tools.webconsole.util.StringHelper;
import org.w3c.dom.Document;

/**
 * @author aruffie
 * 
 */
public class ServerBBean {

    /**
     * Load wsdl file thank to management service. Return the wsdl content below
     * String format.
     * 
     * @param serviceName
     * @param endpointName
     * @param hostname
     * @param jmxJNDIPort
     * @param jmxLogin
     * @param jmxPassword
     * @return String
     * @throws PetalsServiceException
     */
    public String loadWsdlEndpoint(final String serviceName, final String endpointName,
            final String hostname, final Integer jmxJNDIPort, final String jmxLogin,
            final String jmxPassword) throws PetalsServiceException {
        ManagementService service = (ManagementService) ManagementServiceFactory.getInstance()
                .getService(hostname, jmxJNDIPort, jmxLogin, jmxPassword);
        final Document document = service.getDocument(serviceName, endpointName);
        if (document != null) {
            return StringHelper.prettyPrint(document);
        } else {
            return "";
        }
    }
}
