/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.management.pooling;

import org.ow2.petals.jmx.JMXClient;

/**
 * @author aruffie
 */
public class ClientContext {

    private final JMXClient jmxClient;

    private final String id;

    private boolean state;

    public ClientContext(final JMXClient jmxClient, final String id) {
        this.jmxClient = jmxClient;
        this.id = id;
        this.state = true;
    }

    /**
     * @return the state
     */
    public boolean isState() {
        return state;
    }

    /**
     * @param state
     *            the state to set
     */
    public void setState(boolean state) {
        this.state = state;
    }

    /**
     * @return the jmxClient
     */
    public JMXClient getJmxClient() {
        return jmxClient;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "ClientContext [id=" + id + ", jmxClient=" + jmxClient + ", state=" + state + "]";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((jmxClient == null) ? 0 : jmxClient.hashCode());
        result = prime * result + (state ? 1231 : 1237);
        return result;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        ClientContext other = (ClientContext) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (jmxClient == null) {
            if (other.jmxClient != null)
                return false;
        } else if (!jmxClient.equals(other.jmxClient))
            return false;
        if (state != other.state)
            return false;
        return true;
    }
}
