/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector;

import java.io.File;
import java.util.List;
import java.util.Map;

import javax.jbi.messaging.MessageExchange;
import javax.xml.namespace.QName;

import org.objectweb.petals.tools.rmi.server.remote.interfaces.RemoteComponentContext;
import org.ow2.petals.tools.webconsole.services.PetalsService;
import org.ow2.petals.tools.webconsole.services.PetalsServiceException;
import org.ow2.petals.tools.webconsole.services.rmiinjector.model.Property;

/**
 * @author aruffie
 * 
 */
public interface RmiInjectorService extends PetalsService {

    public static final String RMIPORT = "rmiPort";

    public static final String RMIIP = "rmiIP";

    public static final String RMICONTEXT = "rmiContext";

    public static final String ACCEPTTIMEOUT = "acceptTimeout";

    public static final String RMILOGIN = "rmiLogin";

    public static final String RMIPASSWORD = "rmiPassword";

    public static final String DEFAULTACCEPTTIMEOUT = "60000";

    public static final String DEFAULTRMICONTEXT = "RMIComponentContext";

    public static final String IN = "in";

    public static final String OUT = "out";

    /**
     * Allow to inject a message
     * 
     * @param propertiesMap
     * @param _interface
     * @param normalizedProperties
     * @param service
     * @param endpoint
     * @param operation
     * @param mep
     * @param mEXProperties
     * @param content
     * @param attachments
     * @param synchronousSend
     * @return MessageExchange
     * @throws PetalsServiceException
     */
    public MessageExchange injectMessage(final QName _interface,
            final List<Property> normalizedProperties, final QName service, final String endpoint,
            final QName operation, final String mep, final List<Property> mEXProperties,
            final String content, final List<File> attachments, final Long synchronousSend)
            throws PetalsServiceException;

    public void initialize(final Map<String, String> propertiesMap) throws PetalsServiceException;

    public RemoteComponentContext getRemoteComponentContext();
}
