/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector.model;

/**
 * @author aruffie
 * 
 */
public enum Mep {

    IN_ONLY("InOnly"), ROBUST_IN_ONLY("RobustInOnly"), IN_OUT("InOut"), IN_OPTIONAL_OUT(
            "InOptionalOut");
    private final String value;

    Mep(final String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }

    public static Mep fromValue(final String value) {
        for (Mep mep : Mep.values()) {
            if (mep.value.equals(value)) {
                return mep;
            }
        }
        throw new IllegalArgumentException(value.toString());
    }

}
