/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.services.rmiinjector.model;

import java.util.ArrayList;
import java.util.List;

/**
 * @author aruffie
 * 
 */
public class NormalizedMessageExchange {

    protected List<Property> property;

    protected NormalizedMessageExchange.Content content;

    protected List<Attachment> attachment;

    /**
     * Gets the value of the property property.
     * 
     * Objects of the following type(s) are allowed in the list {@link Property }
     * 
     * 
     */
    public List<Property> getProperty() {
        if (property == null) {
            property = new ArrayList<Property>();
        }
        return this.property;
    }

    /**
     * Gets the value of the content property.
     * 
     * @return possible object is {@link NormalizedMessageExchange.Content }
     * 
     */
    public NormalizedMessageExchange.Content getContent() {
        return content;
    }

    /**
     * Sets the value of the content property.
     * 
     * @param value
     *            allowed object is {@link NormalizedMessageExchange.Content }
     * 
     */
    public void setContent(NormalizedMessageExchange.Content value) {
        this.content = value;
    }

    /**
     * Gets the value of the attachment property. Objects of the following
     * type(s) are allowed in the list {@link Attachment }
     * 
     * 
     */
    public List<Attachment> getAttachment() {
        if (attachment == null) {
            attachment = new ArrayList<Attachment>();
        }
        return this.attachment;
    }

    public static class Content {

        protected String value;

        protected Boolean regularExpression;

        /**
         * Gets the value of the value property.
         * 
         * @return possible object is {@link String }
         * 
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *            allowed object is {@link String }
         * 
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the regularExpression property.
         * 
         * @return possible object is {@link Boolean }
         * 
         */
        public Boolean isRegularExpression() {
            return regularExpression;
        }

        /**
         * Sets the value of the regularExpression property.
         * 
         * @param value
         *            allowed object is {@link Boolean }
         * 
         */
        public void setRegularExpression(Boolean value) {
            this.regularExpression = value;
        }

    }

    public void setProperty(List<Property> property) {
        this.property = property;
    }

    public void setAttachment(List<Attachment> attachment) {
        this.attachment = attachment;
    }

}
