/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.to;

import java.util.ArrayList;
import java.util.List;

public class ServerTO implements Comparable<ServerTO> {
    private String host;

    private String state;

    private String jmxPort;

    private int rmiPort;

    private String rmiContext;

    private String jmxLogin;

    private String jmxPassword;

    private boolean installedRmiComponent;

    private String name;

    private String description;

    private String version;

    private String networkBindPort;

    private String tcpPort;

    private String domainName;

    private String showMessageContent;

    private List<ComponentTO> bindingComponents;

    private List<ComponentTO> serviceEngines;

    private List<ServiceAssemblyTO> serviceAssemblies;

    private List<String> sharedLibraries;

    private boolean available;

    public final static String STARTED_STATE = "STARTED";

    public final static String STOPPED_STATE = "STOPPED";

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getJmxPort() {
        return jmxPort;
    }

    public void setJmxPort(String jmxPort) {
        this.jmxPort = jmxPort;
    }

    public String getJmxLogin() {
        return jmxLogin;
    }

    public void setJmxLogin(String jmxLogin) {
        this.jmxLogin = jmxLogin;
    }

    public String getJmxPassword() {
        return jmxPassword;
    }

    public void setJmxPassword(String jmxPassword) {
        this.jmxPassword = jmxPassword;
    }

    public String getNetworkBindPort() {
        return networkBindPort;
    }

    public void setNetworkBindPort(String networkBindPort) {
        this.networkBindPort = networkBindPort;
    }

    public String getShowMessageContent() {
        return showMessageContent;
    }

    public void setShowMessageContent(String showMessageContent) {
        this.showMessageContent = showMessageContent;
    }

    public List<ComponentTO> getBindingComponents() {
        return bindingComponents;
    }

    public void setBindingComponents(List<ComponentTO> bindingComponents) {
        this.bindingComponents = bindingComponents;
    }

    public List<ComponentTO> getServiceEngines() {
        return serviceEngines;
    }

    public void setServiceEngines(List<ComponentTO> serviceEngines) {
        this.serviceEngines = serviceEngines;
    }

    public List<String> getSharedLibraries() {
        return sharedLibraries;
    }

    public void setSharedLibraries(List<String> sharedLibraries) {
        this.sharedLibraries = sharedLibraries;
    }

    public ServerTO() {
        this.bindingComponents = new ArrayList<ComponentTO>();
        this.serviceEngines = new ArrayList<ComponentTO>();
        this.serviceAssemblies = new ArrayList<ServiceAssemblyTO>();
        this.sharedLibraries = new ArrayList<String>();

    }

    public List<ServiceAssemblyTO> getServiceAssemblies() {
        return serviceAssemblies;
    }

    public void setServiceAssemblies(List<ServiceAssemblyTO> serviceAssemblies) {
        this.serviceAssemblies = serviceAssemblies;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public boolean isInstalledRmiComponent() {
        return installedRmiComponent;
    }

    public void setInstalledRmiComponent(boolean installedRmiComponent) {
        this.installedRmiComponent = installedRmiComponent;
    }

    public List<EndPointTO> getAllEndpoints() {
        List<EndPointTO> endpoints = new ArrayList<EndPointTO>();
        for (ComponentTO component : this.bindingComponents) {
            endpoints.addAll(component.getEndpoints());
        }
        for (ComponentTO component : this.serviceEngines) {
            endpoints.addAll(component.getEndpoints());
        }
        return endpoints;
    }

    public int getRmiPort() {
        return rmiPort;
    }

    public void setRmiPort(int rmiPort) {
        this.rmiPort = rmiPort;
    }

    public String getRmiContext() {
        return rmiContext;
    }

    public void setRmiContext(String rmiContext) {
        this.rmiContext = rmiContext;
    }

    public String getTcpPort() {
        return tcpPort;
    }

    public void setTcpPort(String tcpPort) {
        this.tcpPort = tcpPort;
    }

    public int compareTo(final ServerTO serverTO) {
        return this.name.compareTo(serverTO.getName());
    }

    /**
     * @return the available
     */
    public boolean isAvailable() {
        return available;
    }

    /**
     * @param available
     *            the available to set
     */
    public void setAvailable(boolean available) {
        this.available = available;
    }

}
