/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.uibeans;

import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;

/**
 *  User Interface Bean representing one petals domain.
 *  It's implement {@link java.io.Serializable} in order
 *  to avoir java.io.NotSerializableException from
 *  the reload method of Servlet StandardContext
 * @author aruffie
 */
public class DomainUIBean implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = 7226131933515499867L;

    private String domainId;

    private boolean monitoringStarted;

    // ====================================================================
    // === Control Methods
    // ====================================================================
    public void load(HttpServletRequest request) {
        this.domainId = request.getParameter("domainId");
    }

    public String startMonitoring(boolean with) {
        monitoringStarted = true;
        return "success";
    }

    public String stopMonitoring() {
        monitoringStarted = false;
        return "success";
    }

    // ====================================================================
    // === Bean Getters/Setters
    // ====================================================================
    public String getDomainId() {
        return domainId;
    }

    public boolean isMonitoringStarted() {
        return monitoringStarted;
    }

}
