/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.util;

/**
 * @author aruffie
 * Allow to determine the level of logging
 * Available values:
 * LOW = "low" - refer to a low level of logging
 * MEDIUM = "medium" - refer to a medium level of logging
 * HIGH = "high" - refer to a high level of logging
 */
public enum LogLevel {
    LOW("low"), MEDIUM("medium"), HIGH("high");
    
    private final String value;
    
    LogLevel(final String value){
        this.value = value;
    }
    
    public static LogLevel formValue(final String value){
        for(LogLevel logLevel : LogLevel.values()){
            if(logLevel.value.equals(value)){
                return logLevel;
            }
        }
        throw new IllegalArgumentException(value.toString());
    }
}
