/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.tools.webconsole.xmlbeans;

import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;

import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;

import org.ow2.opensuit.xmlmap.XmlInstantiator;
import org.ow2.opensuit.xmlmap.annotations.XmlChildren;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.xml.sax.SAXException;

@XmlElement
public class Servers {
    @XmlChildren(direct = true, minOccurs = 1)
    private Server[] servers;

    public static void main(String[] args) throws MalformedURLException, IOException, SAXException,
            ParserConfigurationException, FactoryConfigurationError {
        File f = new File("src/main/resources/webconsole.xml");
        XmlInstantiator xi = XmlInstantiator.instantiate(f.toURI().toURL(), null);
        Servers servers = (Servers) xi.getRoot();

        if (servers == null) {
            throw new IllegalStateException("No servers found in webconsole.xml");
        }
    }

    public Server[] getServers() {
        return servers;
    }

    public void setServers(Server[] servers) {
        this.servers = servers;
    }
}
